Page MenuHomePhabricator

SafeStack: Add builtins to read unsafe stack top/bottom
ClosedPublic

Authored by vlad.tsyrklevich on Jul 10 2018, 1:54 PM.

Details

Summary

Introduce built-ins to read the unsafe stack top and bottom. The unsafe
stack top is required to implement garbage collection scanning for
Oilpan. Currently there is already a built-in 'get_unsafe_stack_start'
to read the bottom of the unsafe stack, but I chose to duplicate this
API because 'start' is ambiguous (e.g. Oilpan uses WTF::GetStackStart to
read the safe stack top.)

Diff Detail

Event Timeline

pcc accepted this revision.Jul 11 2018, 1:51 PM

LGTM

This revision is now accepted and ready to land.Jul 11 2018, 1:51 PM
This revision was automatically updated to reflect the committed changes.
Herald added a subscriber: Restricted Project. · View Herald TranscriptJul 13 2018, 12:53 PM